
QGIS Application - Bug report #19292

Text annotation boxes too small in print or pdf

2018-06-28 09:42 AM - Morten Storm

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.2 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 27120

Description

When printing or creating PDFs with a map layout containing a text annotation box, the text annotation is printed way smaller than on

screen.

This does not happen in QGIS 2.18. Attached are two PDFs created from the same project in 2.18 and 3.2 respectively.

History

#1 - 2018-08-23 05:48 PM - Dmitry Kravchook

- File annotations.jpg added

I confirm that.

QGIS version

3.2.2-Bonn

QGIS code revision

26842169e9

Linux and Windows same thing.

#2 - 2018-08-23 06:12 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Operating System deleted (Windows 7)

- Priority changed from Normal to High

#3 - 2018-08-31 11:50 AM - Morten Storm

An additional observation:

If you change the blending mode of your map item (under Item Properties > Rendering) from 'Normal' to 'Darken' or 'Multiply', text annotation boxes are

printed with the right size! :-)

#4 - 2018-09-24 01:46 AM - Nyall Dawson

- Status changed from Open to Closed

- Resolution set to duplicate
Duplicate of #18373

Files

test2_18.pdf 1.12 MB 2018-06-28 Morten Storm

test3_2.pdf 1.13 MB 2018-06-28 Morten Storm

annotations.jpg 290 KB 2018-08-23 Dmitry Kravchook

2024-04-28 2/2


